<?php

function travel_vlogger_remove_customize_register() {
    global $wp_customize;
    $wp_customize->remove_section( 'adventure_travelling_color_option' );
    $wp_customize->remove_section( 'adventure_travelling_documentation' );
    $wp_customize->remove_section( 'adventure_travelling_slider_section' );
    $wp_customize->remove_section( 'adventure_travelling_static_blog_section' );
    $wp_customize->remove_section( 'adventure_travelling_topbar' );
    $wp_customize->remove_setting( 'adventure_travelling_location' );
    $wp_customize->remove_control( 'adventure_travelling_location' );
    $wp_customize->remove_setting( 'adventure_travelling_timming' );
    $wp_customize->remove_control( 'adventure_travelling_timming' );
}
add_action( 'customize_register', 'travel_vlogger_remove_customize_register', 11 );

function travel_vlogger_customize_register( $wp_customize ) {

    $wp_customize->add_setting('travel_vlogger_search_icon',array(
        'default' => false,
        'sanitize_callback' => 'adventure_travelling_sanitize_checkbox'
    ));
    $wp_customize->add_control('travel_vlogger_search_icon',array(
        'type' => 'checkbox',
        'label' => __('Show / Hide Search Option','travel-vlogger'),
        'section' => 'adventure_travelling_social_media',
    ));

    // Slider Section
    $wp_customize->add_section( 'travel_vlogger_slider_post_section' , array(
        'title'      => __( 'Post Slider Settings', 'travel-vlogger' ),
        'panel' => 'adventure_travelling_panel_id'
    ) );

    $categories = get_categories();
    $cats = array();
    $i = 0;
    $offer_cat[]= 'select';
    foreach($categories as $category){
        if($i==0){
            $default = $category->slug;
            $i++;
        }
        $offer_cat[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('travel_vlogger_slider_section_category',array(
        'default'   => 'select',
        'sanitize_callback' => 'adventure_travelling_sanitize_choices',
    ));
    $wp_customize->add_control('travel_vlogger_slider_section_category',array(
        'type'    => 'select',
        'choices' => $offer_cat,
        'label' => __('Select Category','travel-vlogger'),
        'section' => 'travel_vlogger_slider_post_section',
    ));

    // Post Section
	$wp_customize->add_section( 'travel_vlogger_trip_offer_section' , array(
        'title'      => __( 'Explore Destination Settings', 'travel-vlogger' ),
        'panel' => 'adventure_travelling_panel_id'
    ) );

    $wp_customize->add_setting('travel_vlogger_offer_section_tittle',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    )); 
    $wp_customize->add_control('travel_vlogger_offer_section_tittle',array(
        'label' => __('Section Title','travel-vlogger'),
        'section'   => 'travel_vlogger_trip_offer_section',
        'type'      => 'text'
    ));

    $wp_customize->add_setting('travel_vlogger_offer_section_text',array(
        'default'   => '',
        'sanitize_callback' => 'sanitize_text_field'
    ));
    $wp_customize->add_control('travel_vlogger_offer_section_text',array(
        'label' => __('Section Description','travel-vlogger'),
        'section'   => 'travel_vlogger_trip_offer_section',
        'type'      => 'text'
    ));

    $categories = get_categories();
    $cats = array();
    $i = 0;
    $offer_cat[]= 'select';
    foreach($categories as $category){
        if($i==0){
            $default = $category->slug;
            $i++;
        }
        $offer_cat[$category->slug] = $category->name;
    }

    $wp_customize->add_setting('travel_vlogger_offer_section_category',array(
        'default'   => 'select',
        'sanitize_callback' => 'adventure_travelling_sanitize_choices',
    ));
    $wp_customize->add_control('travel_vlogger_offer_section_category',array(
        'type'    => 'select',
        'choices' => $offer_cat,
        'label' => __('Select Category','travel-vlogger'),
        'section' => 'travel_vlogger_trip_offer_section',
    ));

}
add_action( 'customize_register', 'travel_vlogger_customize_register' );