<?php
/**
 * Template part for displaying offer section
 *
 * @package Travel Vlogger
 * @subpackage travel_vlogger
 */
?>

<section id="travel-offer" class="py-5">
  <div class="container">
    <?php if( get_theme_mod('travel_vlogger_offer_section_tittle') != ''){ ?>
      <h2 class="my-3 text-center"><?php echo esc_html(get_theme_mod('travel_vlogger_offer_section_tittle','')); ?></h2>
      <hr>
    <?php }?>
    <?php if( get_theme_mod('travel_vlogger_offer_section_text') != ''){ ?>
      <p class="text-center"><?php echo esc_html(get_theme_mod('travel_vlogger_offer_section_text','')); ?></p>
    <?php }?>
    <div class="row mt-4">
      <?php 
        $post_category = get_theme_mod('travel_vlogger_offer_section_category');
        if($post_category){
          $page_query = new WP_Query(array( 'category_name' => esc_html( $post_category ,'travel-vlogger')));?>
          <?php while( $page_query->have_posts() ) : $page_query->the_post(); ?>
            <div class="col-lg-4 col-md-6 col-sm-6">
              <div class="cat-inner-box mb-3">
                <?php if(has_post_thumbnail()) { ?><?php the_post_thumbnail(); ?><?php } ?>
                <div class="offer-box p-3">
                  <div class="row">
                    <div class="col-lg-9 col-md-9 col-sm-9 col-9 align-self-center">
                      <h3><?php the_title(); ?></h3>
                      <span class="entry-veiw mr-3"><?php echo travel_vlogger_get_post_view(); ?></span>
                      <i class="fas fa-calendar mr-2"></i><span class="entry-date"><?php the_date(); ?></span>
                    </div>
                    <div class="col-lg-3 col-md-3 col-sm-3 col-3 align-self-center text-right">
                      <a href="<?php the_permalink(); ?>"><i class="fas fa-play"></i></a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          <?php endwhile;
          wp_reset_postdata();
        }
      ?>
    </div>
  </div>
</section> 